=== modified file 'configure.ac'
--- configure.ac	2008-10-06 04:45:56 +0000
+++ configure.ac	2008-10-06 08:07:52 +0000
@@ -942,16 +942,6 @@
 then
   AC_MSG_ERROR("No size for int type.")
 fi
-AC_CHECK_SIZEOF(long, 4)
-if test "$ac_cv_sizeof_long" -eq 0
-then
-  AC_MSG_ERROR("No size for long type.")
-fi
-AC_CHECK_SIZEOF(long long, 8)
-if test "$ac_cv_sizeof_long_long" -eq 0
-then
-  AC_MSG_ERROR("Drizzle needs a long long type.")
-fi
 # off_t is not a builtin type
 AC_CHECK_SIZEOF(off_t, 4)
 if test "$ac_cv_sizeof_off_t" -eq 0

=== modified file 'drizzled/filesort.cc'
--- drizzled/filesort.cc	2008-10-06 05:57:49 +0000
+++ drizzled/filesort.cc	2008-10-06 08:07:52 +0000
@@ -790,7 +790,6 @@
               break;
             }
           }
-#if SIZEOF_LONG_LONG > 4
 	  to[7]= (unsigned char) value;
 	  to[6]= (unsigned char) (value >> 8);
 	  to[5]= (unsigned char) (value >> 16);
@@ -802,15 +801,6 @@
             to[0]= (unsigned char) (value >> 56);
           else
             to[0]= (unsigned char) (value >> 56) ^ 128;	/* Reverse signbit */
-#else
-	  to[3]= (unsigned char) value;
-	  to[2]= (unsigned char) (value >> 8);
-	  to[1]= (unsigned char) (value >> 16);
-          if (item->unsigned_flag)                    /* Fix sign */
-            to[0]= (unsigned char) (value >> 24);
-          else
-            to[0]= (unsigned char) (value >> 24) ^ 128;	/* Reverse signbit */
-#endif
 	  break;
 	}
       case DECIMAL_RESULT:
@@ -1408,11 +1398,7 @@
         }
 	break;
       case INT_RESULT:
-#if SIZEOF_LONG_LONG > 4
 	sortorder->length=8;			// Size of intern int64_t
-#else
-	sortorder->length=4;
-#endif
 	break;
       case DECIMAL_RESULT:
         sortorder->length=

=== modified file 'drizzled/set_var.cc'
--- drizzled/set_var.cc	2008-10-06 06:47:29 +0000
+++ drizzled/set_var.cc	2008-10-06 08:07:52 +0000
@@ -998,15 +998,12 @@
     *value= (ulong) fix_unsigned(thd, tmp, option_limits);
   else
   {
-#if SIZEOF_LONG < SIZEOF_LONG_LONG
-    /* Avoid overflows on 32 bit systems */
-    if (tmp > ULONG_MAX)
+    if (tmp > UINT32_MAX)
     {
-      tmp= ULONG_MAX;
+      tmp= UINT32_MAX;
       throw_bounds_warning(thd, true, true, name,
                            (int64_t) var->save_result.uint64_t_value);
     }
-#endif
     *value= (ulong) tmp;
   }
 
@@ -1103,13 +1100,11 @@
   
   if (option_limits)
     tmp= (ulong) fix_unsigned(thd, tmp, option_limits);
-#if SIZEOF_LONG < SIZEOF_LONG_LONG
-  else if (tmp > ULONG_MAX)
+  else if (tmp > UINT32_MAX)
   {
-    tmp= ULONG_MAX;
+    tmp= UINT32_MAX;
     throw_bounds_warning(thd, true, true, name, (int64_t) var->save_result.uint64_t_value);
   }
-#endif
   
   if (var->type == OPT_GLOBAL)
      global_system_variables.*offset= (ulong) tmp;

=== modified file 'mystrings/m_string.h'
--- mystrings/m_string.h	2008-10-02 17:30:12 +0000
+++ mystrings/m_string.h	2008-10-06 08:07:52 +0000
@@ -146,13 +146,8 @@
 extern char *str2int(const char *src,int radix,long lower,long upper,
 			 long *val);
 int64_t my_strtoll10(const char *nptr, char **endptr, int *error);
-#if SIZEOF_LONG == SIZEOF_LONG_LONG
-#define int64_t2str(A,B,C) int2str((A),(B),(C),1)
-#define int64_t10_to_str(A,B,C) int10_to_str((A),(B),(C))
-#else
 extern char *int64_t2str(int64_t val,char *dst,int radix);
 extern char *int64_t10_to_str(int64_t val,char *dst,int radix);
-#endif
 
 
 #if defined(__cplusplus)

=== modified file 'mysys/my_bit.h'
--- mysys/my_bit.h	2008-10-06 06:47:29 +0000
+++ mysys/my_bit.h	2008-10-06 08:07:52 +0000
@@ -23,7 +23,6 @@
 
 static inline uint32_t my_count_bits(uint64_t v)
 {
-#if SIZEOF_LONG_LONG > 4
   /* The following code is a bit faster on 16 bit machines than if we would
      only shift v */
   uint32_t v2=(uint32_t) (v >> 32);
@@ -35,12 +34,6 @@
                          _my_bits_nbits[(unsigned char) (v2 >> 8)] +
                          _my_bits_nbits[(unsigned char) (v2 >> 16)] +
                          _my_bits_nbits[(unsigned char) (v2 >> 24)]);
-#else
-  return (uint) (unsigned char) (_my_bits_nbits[(unsigned char)  v] +
-                         _my_bits_nbits[(unsigned char) (v >> 8)] +
-                         _my_bits_nbits[(unsigned char) (v >> 16)] +
-                         _my_bits_nbits[(unsigned char) (v >> 24)]);
-#endif
 }
 
 static inline uint32_t my_count_bits_ushort(ushort v)

=== modified file 'mysys/my_getopt.c'
--- mysys/my_getopt.c	2008-10-06 07:55:10 +0000
+++ mysys/my_getopt.c	2008-10-06 08:07:52 +0000
@@ -820,13 +820,11 @@
     }
     break;
   case GET_LONG:
-#if SIZEOF_LONG < SIZEOF_LONG_LONG
-    if (num > (int64_t) LONG_MAX)
+    if (num > (int64_t) INT32_MAX)
     {
-      num= ((int64_t) LONG_MAX);
+      num= ((int64_t) INT32_MAX);
       adjusted= true;
     }
-#endif
     break;
   default:
     assert((optp->var_type & GET_TYPE_MASK) == GET_LL);
@@ -888,13 +886,11 @@
     }
     break;
   case GET_ULONG:
-#if SIZEOF_LONG < SIZEOF_LONG_LONG
-    if (num > (uint64_t) ULONG_MAX)
+    if (num > (uint64_t) UINT32_MAX)
     {
-      num= ((uint64_t) ULONG_MAX);
+      num= ((uint64_t) UINT32_MAX);
       adjusted= true;
     }
-#endif
     break;
   default:
     assert((optp->var_type & GET_TYPE_MASK) == GET_ULL);

=== modified file 'storage/myisam/myisam.h'
--- storage/myisam/myisam.h	2008-10-06 06:47:29 +0000
+++ storage/myisam/myisam.h	2008-10-06 08:07:52 +0000
@@ -69,7 +69,7 @@
   This means that clearing of high keys is ignored, setting one high key
   sets all high keys.
 */
-#define MI_KEYMAP_BITS      (8 * SIZEOF_LONG_LONG)
+#define MI_KEYMAP_BITS      (64)
 #define MI_KEYMAP_HIGH_MASK (1UL << (MI_KEYMAP_BITS - 1))
 #define mi_get_mask_all_keys_active(_keys_) \
                             (((_keys_) < MI_KEYMAP_BITS) ? \

